%define base_name       tomcat
%define full_name       jakarta-%{base_name}
%define major_version   3
%define name            %{base_name}%{major_version}
%define version         3.3.1a
%define release         4jpp
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define summary         Apache Servlet/JSP Engine, RI for Servlet 2.2/JSP 1.1 API
%define license         Apache License
%define use_fhs			1
%define strict			0
%define tcuid           94
%define sconfdir  		%{_sysconfdir}/%{name}/conf
%define section         free

%if %{use_fhs}
	%define instdir     %{_var}/%{name}
	%define homedir     %{_sysconfdir}/%{name}
	%define confdir  	%{homedir}/conf
	%define appdir   	%{instdir}/webapps
	%define moddir   	%{instdir}/modules
	%define intdir   	%{instdir}/internal
	%define libdir   	%{instdir}/lib
	%define logdir   	%{_var}/log/%{name}
	%define workdir	  	%{_var}/spool/%{name}
%else
	%define instdir     %{_var}/%{name}
	%define homedir     %{instdir}
	%define confdir     %{instdir}/conf
	%define appdir      %{instdir}/webapps
	%define moddir      %{instdir}/modules
	%define intdir      %{instdir}/internal
	%define libdir      %{instdir}/lib
	%define logdir      %{instdir}/log
	%define workdir     %{instdir}/work
%endif

%define bindir   	%{_bindir}
%define packname 	jakarta-tomcat
%define packdname 	jakarta-tomcat-%{version}-src

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        %{summary}
License:        %{license}
Vendor:         JPackage Project
Distribution:   JPackage
Group:          Internet/WWW/Servers
Source:         http://jakarta.apache.org/builds/tomcat/release/v%{version}/src/%{packdname}.tar.gz
Source1:        %{name}-%{version}.init
Source2:        %{name}-%{version}.conf
Source3:        %{name}-%{version}.wrapper
Source4:        TOMCAT3.README.RPM
Source5:        %{name}-%{version}.logrotate
Patch0:         %{name}-%{version}.build.patch
Patch1:         %{name}-%{version}.script.patch
Patch2:         %{name}-%{version}.config.patch
Url:            http://jakarta.apache.org/tomcat
Buildrequires:  ant >= 1.4
Buildrequires:  puretls
Buildrequires:  servletapi3 = %{version}
Buildrequires:  xalan-j2
Buildrequires:  jakarta-commons-dbcp
Buildrequires:  jakarta-commons-pool
Buildrequires:  jakarta-commons-collections
Requires:       jaxp_parser_impl
Requires:       servletapi3 = %{version}
%if %{strict}
Requires:       puretls
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Develop Web applications in Java using Servlet 2.2 and JSP 1.1 APIs
Nota that this servlet engine is the Reference Implementation of 2.2/1.1

%package manual
Summary:	Manual for %{name}
Group:		Development/Java

%description manual
Documentation for %{name}.

%package javadoc
Group: 		Documentation
Summary: 	Javadoc for tomcat

%description javadoc
Javadoc for tomcat.

%package webapps
Group:      System Environment/Applications
Requires:   %{name}
Summary:    Web Applications for %{name}

%description webapps
Web Applications for tomcat

%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup -n %{packdname}
%patch0
%patch1
%patch2

# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
# add puretls.jar for puretls SSL support compiled in
export CLASSPATH=%{javadir}/puretls.jar
ant \
-Dbuild.compiler=modern \
-Doptimize=true \
-Ddebug=false \
-Dant.lib=%{javadir} \
-Dant.bin=/usr/share/ant/bin \
-Dservlet22.jar=%{javadir}/servletapi3.jar \
-Djsse.lib=%{javadir}/jsse \
-Dcommons-dbcp.lib=%{javadir} \
-Dcommons-pool.lib=%{javadir} \
-Dcommons-collections.lib=%{javadir} \
-Dpuretls.lib=%{javadir} \
-Djaxp.home=%{javadir} \
-Djaxp_parser_impl=%{javadir}/jaxp_parser_impl.jar \
-Dxml-commons-apis.jar=%{javadir}/xml-commons-apis.jar \
tomcat-jars webapps javadoc

%install
# install RPM README
cp %{SOURCE4} .

mkdir -p ${RPM_BUILD_ROOT}%{bindir}
mkdir -p ${RPM_BUILD_ROOT}%{confdir}
mkdir -p ${RPM_BUILD_ROOT}%{sconfdir}
mkdir -p ${RPM_BUILD_ROOT}%{appdir}
mkdir -p ${RPM_BUILD_ROOT}%{moddir}
mkdir -p ${RPM_BUILD_ROOT}%{workdir}
mkdir -p ${RPM_BUILD_ROOT}%{libdir}
mkdir -p ${RPM_BUILD_ROOT}%{intdir}
mkdir -p ${RPM_BUILD_ROOT}%{logdir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
mkdir -p ${RPM_BUILD_ROOT}%{javadocdir}/%{name}

cp -pr build/tomcat/lib/*	${RPM_BUILD_ROOT}%{libdir}
cp -pr build/tomcat/conf/*  	${RPM_BUILD_ROOT}%{confdir}
cp -pr build/tomcat/webapps/*  	${RPM_BUILD_ROOT}%{appdir}
cp -pr build/tomcat/javadoc/*  	${RPM_BUILD_ROOT}%{javadocdir}/%{name}

cp build/tomcat/bin/jspc.sh   	${RPM_BUILD_ROOT}%{_bindir}/jspc3
cp build/tomcat/bin/tomcat.sh 	${RPM_BUILD_ROOT}%{_bindir}/%{name}

# sysv init and logging
install %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/%{name}
install %{SOURCE2} ${RPM_BUILD_ROOT}/%{sconfdir}/%{name}.conf

# install logrotate support
install %{SOURCE5} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}

# rename tomcat into dtomcat to let wrapper take precedence
mv ${RPM_BUILD_ROOT}%{_bindir}/%{name} ${RPM_BUILD_ROOT}%{_bindir}/d%{name}

# install wrapper as tomcat
install %{SOURCE3} ${RPM_BUILD_ROOT}/usr/bin/%{name}

# FHS compliance patches, not easy to track them all boys :)

for i in ${RPM_BUILD_ROOT}/%{sconfdir}/%{name}.conf ${RPM_BUILD_ROOT}%{_bindir}/d%{name} \
         ${RPM_BUILD_ROOT}%{_bindir}/%{name} ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/%{name} \
         ${RPM_BUILD_ROOT}%{confdir}/*.xml ${RPM_BUILD_ROOT}%{confdir}/tomcat.policy; do

    perl -pi -e "s|\@\@\@PROCNAME\@\@\@|%{name}|g;" $i
    perl -pi -e "s|\@\@\@TCLOG\@\@\@|%{logdir}|g;" $i
    perl -pi -e "s|\@\@\@TCCONF\@\@\@|%{confdir}|g;" $i
    perl -pi -e "s|\@\@\@TCSCONF\@\@\@|%{sconfdir}|g;" $i
    perl -pi -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g;" $i
    perl -pi -e "s|\@\@\@TCINST\@\@\@|%{instdir}|g;" $i
    perl -pi -e "s|\@\@\@AJPID\@\@\@|%{workdir}/ajp.id|g;" $i
    perl -pi -e "s|\@\@\@AJP12ID\@\@\@|%{workdir}/ajp12.id|g;" $i
    perl -pi -e "s|\@\@\@AJP13ID\@\@\@|%{workdir}/ajp13.id|g;" $i
    perl -pi -e "s|\@\@\@TCRUN\@\@\@|%{logdir}/%{name}.pid|g;" $i
    perl -pi -e "s|\@\@\@TCWORK\@\@\@|%{workdir}|g;" $i

done

# prevent mdkification from initscripts
DONT_GPRINTIFY=1
export DONT_GPRINTIFY

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%post 
# install tomcat3 (but don't activate)
/sbin/chkconfig --add %{name}

# JPP use OSS implementation of crypto (puretls/cryptix)
# but it's not required by TC 3.3.x which is the RI of
# Servlet 2.2/JSP 1.1
#
%if %{strict}
ln -sf %{javadir}/cryptix-asn1.jar	%{libdir}/container
ln -sf %{javadir}/cryptix.jar		%{libdir}/container
ln -sf %{javadir}/puretls.jar		%{libdir}/container
%endif

ln -sf %{javadir}/jaxp_parser_impl.jar	%{libdir}/container
ln -sf %{javadir}/xml-commons-apis.jar	%{libdir}/container
ln -sf %{javadir}/servletapi3.jar	%{libdir}/common

%preun
if [ $1 = 0 ]; then
 
    if [ -f /var/lock/subsys/%{name} ]; then
        %{_sysconfdir}/rc.d/init.d/%{name} stop
    fi
    if [ -f %{_sysconfdir}/rc.d/init.d/%{name} ]; then
        /sbin/chkconfig --del %{name}
    fi

    /usr/sbin/userdel %{name}

    rm -f %{libdir}/common/servletapi3.jar
    rm -f %{libdir}/container/jaxp_parser_impl.jar
    rm -f %{libdir}/container/xml-commons-apis.jar
    rm -f %{libdir}/container/cryptix-asn1.jar
    rm -f %{libdir}/container/cryptix.jar
    rm -f %{libdir}/container/puretls.jar

fi

%pre
# Add the "tomcat" user
# we need a shell to be able to use su - later 
/usr/sbin/useradd -c "Tomcat" -u %{tcuid} \
    -s /bin/bash -r -d %{instdir} %{name} 2> /dev/null || :

%files
%defattr(-,root,root)
%doc TOMCAT3.README.RPM BUGS LICENSE README RELE* changes*
%{libdir}
%{moddir}
%{intdir}
%{bindir}/*
%attr(-,tomcat3,tomcat3) %dir %{confdir}
%attr(-,tomcat3,tomcat3) %dir %{confdir}/jk
%attr(-,tomcat3,tomcat3) %dir %{confdir}/jserv
%attr(-,tomcat3,tomcat3) %dir %{confdir}/users
%attr(-,tomcat3,tomcat3) %dir %{workdir}
%attr(-,tomcat3,tomcat3) %dir %{logdir}
%attr(-,tomcat3,tomcat3) %dir %{appdir}
%attr(-,tomcat3,tomcat3) %config(noreplace) %{confdir}/jk/*
%attr(-,tomcat3,tomcat3) %config(noreplace) %{confdir}/jserv/*
%attr(-,tomcat3,tomcat3) %config(noreplace) %{confdir}/users/*
%attr(-,tomcat3,tomcat3) %config(noreplace) %{confdir}/*.xml
%attr(-,tomcat3,tomcat3) %config(noreplace) %{confdir}/tomcat.policy
%attr(-,tomcat3,tomcat3) %config(noreplace) %{sconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/rc.d/init.d/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}

%files manual
%defattr(-,root,root)
%doc build/tomcat/doc/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}

%files webapps
%defattr(-,tomcat3,tomcat3)
%{appdir}/*
%config(noreplace) %{confdir}/apps*.xml

%changelog
* Fri Mar 14 2003 Henri Gomez <hgomez@users.sourceforge.net> 3.3.1a-4jpp
- rpm release 4
- correct start/stop initd script

* Thu Mar 06 2003 Henri Gomez <hgomez@@users.sourceforge.net> 3.3.1a-3jpp
- rpm release 3
- improved tomcat script which will store main java process in file
  pointed by TOMCAT_PID env var if existing, and will kill tomcat if
  it didn't stop after SHUTDOWN_WAIT seconds (tomcat3.conf)

* Fri Feb 20 2003 Henri Gomez <hgomez@@users.sourceforge.net> 3.3.1a-2jpp
- rpm release 2
- fix bad incorrect requirement for servletapi3.

* Tue Jan 28 2003 Henri Gomez <hgomez@@users.sourceforge.net> 3.3.1a-1jpp
- 3.3.1a
- security fix 
- puretls/cryptix shouldn't be added in the RPM since the 2.2 RI didn't mention them.
  To get the strict way ( la JPP), just define strict

* Thu Aug 22 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.3.1-9jpp
- prevent jikes compilation
- prevent mdkification of initscripts
- fixed source perms

* Mon Jul 29 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.3.1-8jpp
- added missing %{appdir} (i sux)

* Mon Jul 29 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.3.1-7jpp
- don't buildrequires jaxp_parser_impl, as ant already requires it
- stricter requires and buildrequires on servletapi3
- less verbose and more efficient %post (why test for presence of required files ?)
- puretls is required (it is free software, why hesitate ?)
- corrected file names for jaxp_parser_impl.jar, servletapi3.jar and cryptix.jar
- fixed wrong path for jaxp_parser_impl.jar and xml_commons_api.jar in %postun
- distinct build, script and config patches
- build and install manually, pointless to compress then decompress webapps
- patched build to avoid jaxp setup and to output javadoc in build directory
- used noreplace for every configuration file
- spec cleanup
- manual package
- corrected license and group tags

* Thu Jul 18 2002 Henri Gomez <hgomez@users.sourceforge.net> 3.3.1-6jpp
- fix Distribution/Vendor tags

* Mon Jul 15 2002 Henri Gomez <hgomez@users.sourceforge.net> 3.3.1-5jpp
- tomcat 3.3.1 rpm release 5
- update to match new jaxp_parser_impl and jsse location
- put webapps in expanded form, no more in war

* Tue Apr 30 2002 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3.1 rpm release 4
- add logrotate support using copytruncate
- install chkconfig support but without automatic start/stop
  user should use service tools like ntsysv
- misc spec reworks

* Fri Apr 26 2002 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3.1 rpm release 3
- misc spec/rpm fixes.

* Thu Mar 28 2002 Henri Gomez <hgomez@users.sourceforge.net> 3.3.1.2
- tomcat 3.3.1 rpm release 2
- used updated tarball (released after rpm)
- added IBM SDK 1.3.1 in java discovery 

* Mon Mar 25 2002 Henri Gomez <hgomez@users.sourceforge.net> 3.3.1
- tomcat 3.3.1

* Mon Mar 04 2002 Henri Gomez <hgomez@users.sourceforge.net> 3.3.1-rc1.1
- tomcat 3.3.1-rc1
- use ajp12 to stop the server, updated in dtomcat3
- add symlinking info at post time

* Fri Feb 15 2002 Henri Gomez <hgomez@users.sourceforge.net> 3.3.1-b1.2
- tomcat 3.3.1-b1 RPM release 2
- warn user when ext package are not installed 

* Tue Feb 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 3.3.1-b1.1
- tomcat 3.3.1-b1
- compiled with puretls support so you could use puretls for SSL
  support instead of jsse
- RPM didn't include any more external jar, they will be linked
  to lib dir at install time
- require servletapi3 which provide servlet 2.2/jsp 1.1
- require xalan-j, xerces-j, ant 
- read TOMCAT3.README.RPM in doc dir for more info on this RPM
- install puretls/cryptix jars if found at install time

* Mon Jan 21 2002 Henri Gomez <hgomez@users.sourceforge.net> 3.3a-1jpp
- tomcat 3.3a
- require servlet_spec-2.2 instead of servlet22 (provided by servlet3)

* Thu Dec 20 2001 Henri Gomez <hgomez@users.sourceforge.net> 3.3-4jpp
- release 4
- add comment on description about Tomcat 3.3 as RI for Servlet 2.2/JSP 1.1

* Thu Dec 20 2001 Henri Gomez <hgomez@users.sourceforge.net> 3.3-3jpp
- release 3
- fallback to su direct use on systems without Redhat/Mandrake init.d functions
- small fixes with hardcoded config files

* Tue Dec 04 2001 Henri Gomez <hgomez@users.sourceforge.net> 3.3-2jpp
- release 2
- correct webapps dependency on %{name}
- remove JSSE which should be only load in jre/ext by JVM
- correct remove of jaxp_parser, servlet and jsse jars

* Tue Dec 04 2001 Henri Gomez <hgomez@users.sourceforge.net> 3.3-1jpp
- Rewrite spec to match JPackage requirements
- servlet.jar is no more included but will be grabbed from servlet22 package
- jaxp parser jar is no more included but will be grabbed from jaxp_parser provider package

* Fri Nov 15 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 RPM release 4
- updated spec to match new ant 1.4

* Fri Oct 26 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 RPM release 3
- fix ajp12.id location in tomcat stop command 
- stdout/stderr will goes in %{logdir}/tomcat.log instead of %{logdir}/stdout.log
- ajp12 connector now listen only on localhost, 127.0.0.1, for security purpose,
  for remote connections from Apache/IIS/Nes/Domino use ajp13 instead (it's also faster)
- Redhat 7.x use the apache user, Redhat 6.x use nobody user.
  To fix the problem, the RPM will now use a tomcat user (UID %{tcuid})
  which will be created at install time.

* Wed Oct 24 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 RPM release 2
- fix a mistake in tomcat.init which was from a previous
  TC 3.3 release and didn't support new nobody work mode
  Thanks to Nicolas Mailhot [Nicolas.Mailhot@laposte.net]
  to report it.

* Tue Oct 23 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 final
- the final release

* Thu Oct 11 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 rc2 

* Tue Oct 09 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 rc1 RPM release 2
- fix spec files, more use of %name
- correct tomcat wrapper
- built under Redhat 6.2 with updates, jikes 1.15, ant 1.4, IBM JDK 1.3 (cx130-20010626), jsse 1.0.2

* Mon Sep 24 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 rc1
- many RPM enhancements from suggestion from Keith Irwin <keith_irwin@non.hp.com>,
  Nicolas Mailhot <nicolas.mailhot@one2team.com> and Jun Inamori. A big thanks 
  to all of them
- the RPM is more FHS compliant : confdir is in %{confdir}, logdir in %{logdir}
  workdir in %{workdir}, webapps and libs in %{instdir}, ajp12.pid in %{workdir}
- tomcat run as nobody (finally) in init.d. 
  BE CAREFULL NOW WHEN running tomcat as root (in interactive mode for example) 
  since you could then make some files unreadable 
- TOMCAT_HOME is now %{homedir} and TOMCAT_INSTALL is %{instdir}.
- a config file is available for init.d script tuning, tomcat.conf, in %{confdir}
- no external parser is required since crimson (jaxp 1.1) is now included
- Warning, now webapps live into %{instdir} != %{homedir} so you should take care
  of setting docBase to %{instdir}/webapps/yourapp since it will by default 
  got to %{homedir}/webapps/yourapp instead (cf etc/apps-examples.xml)
- ouf... a decent RPM matching FHS and running as nobody for security purpose

* Mon Sep 03 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 b2

* Tue Jul 24 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 b1

* Fri Jun 29 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 m4 RPM release 2
- fixed jscp CLASSPATH
- added Prefix /home/httpd to allow tomcat-manual relocation via :
  rpm -Uvh tomcat-manual-3.3-m4.2.noarch.rpm --relocate /home/httpd=/var/www 
 
* Fri Jun 22 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 m4 
- we didn't install any XML parser, it will be linked at install time /var/tomcat/lib/common
  You need a jaxp 1.1 compatible RPM for examples my xerces-j 1.4.0-2 (and up) you could find
  at ftp://ftp.falsehope.com/home/gomez/xerces-j and maybe later crimson 1.1
- build CLASSPATH=
- build will use jsse jars (SSL support) which must be in %{javadir}

* Mon May 21 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 m3 RPM release 2
- tomcat log in /var/log/tomcat.log (without initlog)

* Fri May 18 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 m3
- added the webapps RPM as asked on the list
- group System Environment/Daemons and System Environment/Applications
- built under Redhat 6.2 with updates, jikes 1.14, IBM JDK 1.3 (cx130-20010329), jsse 1.0.2

* Fri Apr 27 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 Pre M3 
- removed build.xml patches now included in distro :)
- built under Redhat 6.2 with updates with jikes 1.12 and IBM JDK 1.3 (cx130-20001124)
- back from rpm 4.0.2 to rpm 3.0.5 for better compatibility with previous Redhat 6.x

* Thu Mar 19 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 M2 RPM release 2
- tomcat stdout/stderr will use initlog/syslog to /var/log/tomcat.log
- added logrotate task to cycle /var/log/tomcat.log 

* Thu Mar 15 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 M2
- built under Redhat 6.2 with updates with jikes 1.12 and IBM JDK 1.3 (cx130-20001124)
- build CLASSPATH=/usr/share/java/jsse.jar:/usr/share/java/jcert.jar:/usr/share/java/jnet.jar

* Mon Mar 12 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 Pre M2
- a validation RPM before m2 release

* Wed Feb 14 2001 Henri Gomez <hgomez@users.sourceforge.net>
- tomcat 3.3 M1

* Mon Feb 12 2001 Henri Gomez <hgomez@users.sourceforge.net>
- snapshot from CVS (2001/02/12 10:30 CET)

* Thu Feb 08 2001 Henri Gomez <hgomez@users.sourceforge.net>
- A new snapshot from CVS (2001/02/07)

* Thu Feb 01 2001 Henri Gomez <hgomez@users.sourceforge.net>
- A new snapshot from CVS (2001/01/31)

* Mon Jan 29 2001 Henri Gomez <hgomez@users.sourceforge.net>
- A new snapshot from CVS (2001/01/29)
- dav support added to ajp13 and test improved

* Fri Jan 26 2001 Henri Gomez <hgomez@users.sourceforge.net>
- A new snapshot from CVS (2001/01/26)

* Mon Jan 22 2001 Henri Gomez <hgomez@users.sourceforge.net>
- A new snapshot from CVS (2001/01/22)
- soon to start MileStone/Beta stage
- ant.jar is no more installed in tomcat libdir.
- since Cocoon need a DOM2 XML parser, we didn't install anymore
  jaxp jars (jaxp.jar and parser.jar) in libdir.
- use xerces.jar from %{javadir} in tomcat libdir.

* Fri Dec 08 2000 Henri Gomez <hgomez@users.sourceforge.net>
- Third release of TOMCAT 3.3 from CVS (2000/12/08)
- Many works conducted on AJP13
- modified tomcat.sh to log to /var/log/tomcat.log when used with start
  (ie: at init time)
 
* Fri Nov 10 2000 Henri Gomez <hgomez@users.sourceforge.net>
- Second release of TOMCAT 3.3 from CVS (2000/11/10)
- build CLASSPATH=/usr/share/java/jsse.jar:/usr/share/java/jcert.jar:/usr/share/java/jnet.jar

* Tue Nov 07 2000 Henri Gomez <hgomez@users.sourceforge.net>
- First release of TOMCAT 3.3 from CVS  (2000/11/07)

